org.apache.commons.ssl.util

## Class ByteArrayReadLine

- java.lang.Object
- - org.apache.commons.ssl.util.ReadLine
  - - org.apache.commons.ssl.util.ByteArrayReadLine

    public class ByteArrayReadLine
    extends ReadLine

### Field Summary

### Fields inherited from class org.apache.commons.ssl.util.ReadLine

`avail, bytes, in, pos`

### Constructor Summary

Constructors
Constructor and Description
`ByteArrayReadLine(java.io.ByteArrayInputStream in)`

### Method Summary

Methods
`java.lang.String` `next()`
`java.lang.String` `next(int lines)`
`byte[]` `nextAsBytes()`
`byte[]` `nextAsBytes(int lines)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteArrayReadLine

    public ByteArrayReadLine(java.io.ByteArrayInputStream in)

### Method Detail

#### next

    public java.lang.String next()

Overrides:
  `next` in class `ReadLine`

#### next

    public java.lang.String next(int lines)

Overrides:
  `next` in class `ReadLine`

#### nextAsBytes

    public byte[] nextAsBytes()

Overrides:
  `nextAsBytes` in class `ReadLine`

#### nextAsBytes

    public byte[] nextAsBytes(int lines)

Overrides:
  `nextAsBytes` in class `ReadLine`